Subject: Re: [MMUSIC] How to use SDP 'z=' field?

From: Bryan Thale <[email-masked]>
Date: Fri, 10 May 2002 01:21:22 -0500

What?  There is no need to apply a non-zero offset to the repeat times
for the second sequence between 20-JAN-02 and 7-APR-02.  The start time
of the 't=' field and the repeat times calculated within that period are
all in Standard Time.  No adjustment is necessary until the DST
transition at 7-APR-02.

Bryan.

> >For the second repetition interval, the one defined to begin at
> >20-JAN-02 2PM (Standard Time) and ends at midnight 8-JUN-02 (DST),
> the
> >offset that needs to be applied  *after* 7-APR-02 1:59:59.999AM
> >(Standard Time)  is -1h, not the 0 specified in the 'z=' field.  The
> >offsets specified in the 'z=' field are only valid for the first
> >repetition schedule that runs from 26-AUG-01 10AM (DST) through
> midnight
> >8-JUN-02 (DST) since the offsets are relative to DST and not Standard
> Time.
>
> No - the offsets for the second sequence before 7-APR-02 are +1h.  The
> offsets after that are 0h.
>
>  - Mark
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Mark Handley <[email-masked]>
Date: Fri, 10 May 2002 09:34:54 -0700

>all in Standard Time.  No adjustment is necessary until the DST

No - the z field defines *global* time offsets for the entire session.
They apply to *all* repeat intervals in that session.

 - Mark